Package org.silverpeas.components.kmelia.model

# Class TopicSearch

java.lang.Object
org.silverpeas.core.persistence.datasource.model.jpa.AbstractJpaEntity<TopicSearch,org.silverpeas.core.persistence.datasource.model.identifier.UniqueLongIdentifier>
org.silverpeas.core.persistence.datasource.model.jpa.BasicJpaEntity<TopicSearch,org.silverpeas.core.persistence.datasource.model.identifier.UniqueLongIdentifier>
org.silverpeas.components.kmelia.model.TopicSearch

All Implemented Interfaces:
  `Serializable`, `org.silverpeas.core.persistence.datasource.model.IdentifiableEntity`

@Entity public class TopicSearch extends org.silverpeas.core.persistence.datasource.model.jpa.BasicJpaEntity<TopicSearch,org.silverpeas.core.persistence.datasource.model.identifier.UniqueLongIdentifier> implements Serializable
TopicSearch represents a kmelia specific topic search entity

Author:
  ebonnet
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TopicSearch()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `String`
  `getInstanceId()`
  `String`
  `getLanguage()`
  `String`
  `getQuery()`
  `Date`
  `getSearchDate()`
  `String`
  `getTopicId()`
  `String`
  `getUserId()`
  `int`
  `hashCode()`
  `void`
  `setInstanceId(String instanceId)`
  `void`
  `setLanguage(String language)`
  `void`
  `setQuery(String query)`
  `void`
  `setSearchDate(Date searchDate)`
  `void`
  `setTopicId(String topicId)`
  `void`
  `setUserId(String userId)`
  `String`
  `toString()`

  ### Methods inherited from class org.silverpeas.core.persistence.datasource.model.jpa.BasicJpaEntity

  `performBeforePersist, performBeforeRemove, performBeforeUpdate`

  ### Methods inherited from class org.silverpeas.core.persistence.datasource.model.jpa.AbstractJpaEntity

  `getId, getNativeId, isPersisted, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TopicSearch

    public TopicSearch()

- ## Method Details

  - ### getInstanceId

    public String getInstanceId()
    Returns:
      the instanceId

  - ### setInstanceId

    public void setInstanceId(String instanceId)
    Parameters:
      `instanceId` - the instanceId to set

  - ### getTopicId

    public String getTopicId()
    Returns:
      the topicId

  - ### setTopicId

    public void setTopicId(String topicId)
    Parameters:
      `topicId` - the topicId to set

  - ### getLanguage

    public String getLanguage()
    Returns:
      the language

  - ### setLanguage

    public void setLanguage(String language)
    Parameters:
      `language` - the language to set

  - ### getQuery

    public String getQuery()
    Returns:
      the query

  - ### setQuery

    public void setQuery(String query)
    Parameters:
      `query` - the query to set

  - ### getSearchDate

    public Date getSearchDate()
    Returns:
      the date

  - ### setSearchDate

    public void setSearchDate(Date searchDate)
    Parameters:
      `searchDate` - the date to set

  - ### getUserId

    public String getUserId()
    Returns:
      the userId

  - ### setUserId

    public void setUserId(String userId)
    Parameters:
      `userId` - the userId to set

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `org.silverpeas.core.persistence.datasource.model.jpa.AbstractJpaEntity<TopicSearch,org.silverpeas.core.persistence.datasource.model.identifier.UniqueLongIdentifier>`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `org.silverpeas.core.persistence.datasource.model.jpa.AbstractJpaEntity<TopicSearch,org.silverpeas.core.persistence.datasource.model.identifier.UniqueLongIdentifier>`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`